<?php
class ci_legajos extends mapuche_mini_ci
{
	//-----------------------------------------------------------------------------------
	//---- cuadro_agentes ---------------------------------------------------------------
	//-----------------------------------------------------------------------------------

	public $s__filtro;

	function conf__cuadro_agentes(mapuche_mini_ei_cuadro $cuadro)
	{
		//--1- Arma el mensaje
		$opciones = array('action' => 'getAgentes');    //En action se detalla la operacion a invocarse
		$filtro = array();
		$filtro[] = array('campo'=>'apellido', 'operador' => 'contiene', 'valor'=> 'p');
		$mensaje = new toba_servicio_web_mensaje(array('parametros' => array('filtro' => $filtro )) , $opciones);
	
		//--2- Arma el servicio
		$opciones = array();
		$servicio = toba::servicio_web('mapuche_agentes', $opciones);
	
		//-- 3 - Muestra la respuesta
		try {
			$respuesta = $servicio->request($mensaje);
			$cuadro->set_datos($respuesta->get_array());
		} catch (toba_error_servicio_web $e) {
			toba::notificacion()->info($e->get_mensaje().' (codigo "'.$e->get_codigo().'")');
		}

	}

	//-----------------------------------------------------------------------------------
	//---- filtro_agentes ---------------------------------------------------------------
	//-----------------------------------------------------------------------------------

	function conf__filtro_agentes(mapuche_mini_ei_filtro $filtro)
	{
		if(isset($this->s__filtro)) {
			$filtro->set_datos($this->s__filtro);
		}
	}

	function evt__filtro_agentes__filtrar($datos)
	{
		$this->s__filtro = $datos;
		var_dump($datos);
	}
}
?>
